# Response Model

## Event Object

| Field Name     | Type      | Description                                                                                                                                                                                                                                                         |
| -------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| eventId        | string    | Unique identifier for this event                                                                                                                                                                                                                                    |
| date           | date      | Date the match was played or is scheduled to be played                                                                                                                                                                                                              |
| matchType      | string    | Code indicating the type of match: MS - Mens Singles, LS - Ladies Singles, MD/MX - Mens Doubles, LD - Ladies Doubles, XD - Mixed Doubles. The above codes can be prefixed with ‘Q’ to indicate they are part of qualifying for the competition                      |
| status         | string    | The current status of the match, one of: NotStarted, InProgress, Suspended, Finished                                                                                                                                                                                |
| courtId        | string    | The identifier for the court the match is on. Note that this value is assigned by the ATP’s software - it will likely not correlate with the actual court name                                                                                                      |
| courtName      | string    | The name of the court the match is on                                                                                                                                                                                                                               |
| courtSeq       | int       | Defines the ordinal position of the match on this court. First match will have a value of 1, the second 2 etc.                                                                                                                                                      |
| teamA          | object    | Team Status object for the first team in the match                                                                                                                                                                                                                  |
| teamB          | object    | Team Status object for the second team in the match                                                                                                                                                                                                                 |
| startTime      | object    | startTime object indicating when the match is scheduled to start                                                                                                                                                                                                    |
| startTimeText  | string    | Text description of the start time. Note that the start time object contains detailed information about the start and is likely to be more useful than this field                                                                                                   |
| additionalText | string    | Additional information about the match                                                                                                                                                                                                                              |
| bookingStatus  | structure | Indicates if this event is booked. One of: “Booked”, “Autobooked” or ”NotBooked”                                                                                                                                                                                    |
| competitionId  | string    | Identifier for the competition - this is the year and the externalId                                                                                                                                                                                                |
| round          | string    | The round this event is being played in. In case of a qualifier event the round number is prepended with a ‘Q’, like “Q3”. Otherwise it’s simply a number, e.g. “3”. The rounds work backwards, with 1 being the final, 2 being the semi-finals, 3 the quarters etc |
| globalCourtId  | string    | Unique global court ID for the court. UTR events only                                                                                                                                                                                                               |
| venueId        | string    | Unique Venue court ID for the venue. UTR events only                                                                                                                                                                                                                |

## Team Status Object (Tennis)

| Field Name | Type   | Description                                                                                                                                                    |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string | Indicates if the player detail is known for this team. Values are KnownTennisTeam or UnknownTennisTeam. For UnknownTennisTeam, no other fields will be present |
| team       | object | A tennis team object                                                                                                                                           |

## Team Object (Tennis)

| Field Name | Type   | Description                                                 |
| ---------- | ------ | ----------------------------------------------------------- |
| id         | string | Unique identifier for this player as defined by the ATP/UTR |
| firstName  | string | First name of the player                                    |
| lastName   | string | Last name of the player                                     |
| country    | string | IOC (Olympic) country code for the player                   |

## Start Time Object

| Field Name | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| ---------- | ----------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status     | string      | <p>Indicates the type of information held for the start time.</p><p><strong>StartsAt</strong>: The time in which the match is expected to start.</p><p><strong>NotBefore</strong>: The time in which the match will not start before.</p><p><strong>EstimatedStart:</strong> The time in which the match is estimated to start.</p><p><strong>FollowsPrevious</strong>: The match will follow the previous match on the same court, therefore the time attributed with a 'Follows Previous' state is a rough estimate of the start time of that match.</p><p><strong>NoInformation</strong>: No information available.</p> |
| time       | offset time | Contains either the start time for the match (generally if it’s the first match of the day on a court) or the earliest time it could start (e.g. if there is a rain delay and they know play will not start until midday) or an estimate of the start time based on the start time of the previous match                                                                                                                                                                                                                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/schedule-endpoints-restful-1/tournaments-id-events/response-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
